import { combineReducers, createStore, Reducer, Store } from 'redux';
// export { combineReducers, createStore, Reducer, Store } from "redux";

export interface ReducerMap {
	[key: string]: Reducer<any>;
}

export default function(reducers: ReducerMap, initialState: any): Store<any> {
	return createStore(combineReducers(reducers), initialState);
}
